Package org.eclipse.birt.report.engine.api.script

# Interface IDataSetRow

All Known Subinterfaces:
  `IUpdatableDataSetRow`

public interface IDataSetRow

## Method Summary

Modifier and Type
Method
Description
`Object`
`getColumnValue(int index)`
Gets the column data by index.
`Object`
`getColumnValue(String name)`
Gets the column data by column name.
`IDataSetInstance`
`getDataSet()`
Gets the data set runtime instance which contains this row

## Method Details

### getDataSet

IDataSetInstance getDataSet()
Gets the data set runtime instance which contains this row

### getColumnValue

Object getColumnValue(int index) throws ScriptException
Gets the column data by index. Data row column index starts from 1.

Parameters:
  `index` - 1-based index of column. If value is 0, an internal index of the current row (if available) is returned
Throws:
  `ScriptException`

### getColumnValue

Object getColumnValue(String name) throws ScriptException
Gets the column data by column name.

Parameters:
  `name` - of column
Throws:
  `ScriptException`